/*
This file is for documentation purposes only.
*/

/*! @defgroup atostm_external_apis Dependent APIs

The following modules are required:
- @ref atobase
- @ref atobnet

The following modules are optional. They are used in the example code:
- @ref atoakm which is used as the source of cryptographic material

*/

/*! @defgroup atostm ATO STM

@brief
This SDK is used for requesting Security Tokens from the Vanguard STS.

The @ref atostm_overview section discusses some general design background of the API.
The @ref atostm_gettingstarted section discusses usage and is, to some extent, a walkthrough.
The @ref atostm_api section details the individual APIs.
*/


//-----------------------------------------------------------

/*! @defgroup atostm_overview Overview
@ingroup atostm

General design background of the API. This is in addition to the notes in ATOBASE @ref atobase_overview.

*/


//-----------------------------------------------------------

/*! @defgroup atostm_gettingstarted Getting Started
@ingroup atostm

Implementing an application using ATOSTM, including considerations to take into account.

*/

//-----------------------------------------------------------

/*! @defgroup atostm_api API
@ingroup atostm

*/
