#ifndef __SBR_CSR_MSGTS_INTERNAL_H__
#define __SBR_CSR_MSGTS_INTERNAL_H__

#include "sbrcsr/msgts.h"

typedef struct _sbr_MsgTimestamps sbr_MsgTimestamps;

#ifdef __cplusplus
extern "C" {
#endif

extern int sbr__msgts_init(void);
extern void sbr__msgts_deinit(void);
extern void sbr__msgts_create(ato_Ctx *ctx, sbr_MsgTimestamps **timestamps, ato_Xml *xml, void *pxnode);
extern void sbr__msgts_free(sbr_MsgTimestamps *timestamps);

extern size_t sbr__msgts_count(sbr_MsgTimestamps *timestamps);
extern void sbr__msgts_iterator(sbr_MsgTimestamps *timestamps, ato_Iterator **iter);
extern sbr_MsgTimestamp *sbr__msgts_firstv(sbr_MsgTimestamps *timestamps);
extern sbr_MsgTimestamp *sbr__msgts_nextv(sbr_MsgTimestamps *timestamps);

extern void sbr__msgts_set(ato_Ctx *ctx, sbr_MsgTimestamp *timestamp, const char *source, const char *datetime);
//extern void sbr__msgts_render(ato_Ctx *ctx, sbr_MsgTimestamp *timestamp, ato_Xml *xml, void *pxnode);

#ifdef __cplusplus
}
#endif

#endif /*__SBR_CSR_MSGTS_INTERNAL_H__*/
